<?php
/**
 * $Id: vmsubcategory.php 1.0.0 2012-06-19 09:04:20 Kovácsházi Gábor $
 * @package	    Joomla! 
 * @subpackage	TBS Gallery
 * @version     1.0.0
 * @description 
 * @copyright	  Copyright © 2012 - All rights reserved.
 * @license		  GNU General Public License v2.0
 * @author		  Kovácsházi Gábor
 * @author mail	support@webprogramok.hu
 * @website		  http://www.webprogramok.hu
 *
 *
 *
 * The events triggered in Joomla!
 * -------------------------------
 * onPrepareContent()
 * onAfterDisplayTitle()
 * onBeforeDisplayContent()
 * onBeforeContentSave()  in verion > 1.5.4
 * onAfterContentSave()  in verion > 1.5.4
 *
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Example Content Plugin
 *
 * @package	    Joomla! 
 * @subpackage	TBS Gallery
 * @class       plgContentTbsgallery
 * @since       1.5.0
 */
 
class plgContentTbsgallery extends JPlugin
{

  // JoomlaWorks reference parameters
	var $plg_name								= "vmsubcategory";
	var $plg_copyrights_start		= "";
	var $plg_copyrights_end			= "";
	var $plg_tag								= "vmsubcategory";

	function plgContentTbsgallery( &$subject, $params )
	{
		   parent::__construct( $subject, $params );
	}

	// Joomla! 1.5
	function onPrepareContent( &$row, &$params, $page=0 ){
	
		// API
		jimport('joomla.filesystem.file');
		$mainframe	= &JFactory::getApplication();
		$document 	= &JFactory::getDocument();
		
		// Requests
		$option 		= JRequest::getCmd('option');
		$view 			= JRequest::getCmd('view');
		$layout 		= JRequest::getCmd('layout');
		$page 			= JRequest::getCmd('page');
		$secid 			= JRequest::getInt('secid');
		$catid 			= JRequest::getInt('catid');
		$itemid 		= JRequest::getInt('Itemid');
		if(!$itemid) $itemid = 999999;
		// Assign paths
		$sitePath = JPATH_SITE;
		$siteUrl  = JURI::base(true);
        

		// Check if plugin is enabled
		if(JPluginHelper::isEnabled('content',$this->plg_name)==false) return;
		
		// Bail out if the page is not HTML
		if(JRequest::getCmd('format')!='html' && JRequest::getCmd('format')!='') return;
		
		// Load the plugin language file the proper way
		JPlugin::loadLanguage('plg_content_'.$this->plg_name, JPATH_ADMINISTRATOR);
		
		// simple performance check to determine whether plugin should process further
		if(JString::strpos($row->text, $this->plg_tag) === false) return;
		
		// expression to search for
		$regex = "#{".$this->plg_tag."}(.*?){/".$this->plg_tag."}#s";
		
		// find all instances of the plugin and put them in $matches
		preg_match_all($regex,$row->text,$matches);
		
		// Number of plugins
		$count = count($matches[0]);
		
		// Plugin only processes if there are any instances of the plugin in the text
		if(!$count) return;
		

		
		
		
		// ----------------------------------- Get plugin parameters -----------------------------------
		
		// Get plugin info
		$plugin =& JPluginHelper::getPlugin('content',$this->plg_name);
		
		// Control external parameters and set variable for controlling plugin layout within modules
		if(!$params) $params = new JParameter(null);
		$parsedInModule = $params->get('parsedInModule');
		
		$pluginParams = new JParameter( $plugin->params );
		
		$cache_expire_time	 		= (int) $pluginParams->get('cache_expire_time',120) * 60; // Cache expiration time in minutes
		$memoryLimit						= (int) $pluginParams->get('memoryLimit');
		if($memoryLimit) ini_set("memory_limit",$memoryLimit."M");
		
	
		// ----------------------------------- Prepare the output -----------------------------------
		// Process plugin tags
		if(preg_match_all($regex, $row->text, $matches, PREG_PATTERN_ORDER) > 0) {
			// start the replace loop
            $getPluginContent = '';
			
            foreach ($matches[0] as $key => $match) {
                $tagcontent 		= preg_replace("/{.+?}/", "", $match);
                $tagparams 			= explode(':',$tagcontent);
				$CatId           	= $tagparams[0];

        		$db = new ps_DB;
        
        		$q = "SELECT category_id, category_child_id,category_name FROM #__{vm}_category,#__{vm}_category_xref ";
        		$q .= "WHERE #__{vm}_category_xref.category_parent_id='$CatId' ";
        		$q .= "AND #__{vm}_category.category_id=#__{vm}_category_xref.category_child_id ";
        		$q .= "AND #__{vm}_category.category_publish='Y' ";
        		$q .= "ORDER BY #__{vm}_category.list_order, #__{vm}_category.category_name ASC";

        		$db->setQuery($q);
        		$db->query();
                $sorok_szama = $db->getNumRows();
                $egyoszlop     = ceil($sorok_szama/4);

                /////////////////////////////////////////////////////////
                $getPluginContent.= '<nav class="subcategory-menu">'; 
                $getPluginContent.= '<ul><li>';
        		while($db->next_record()) {
        			$getPluginContent .= "<a title=\"".$db->f("category_name")."\" href=\"";
        			$getPluginContent .= $sess->url(URL . "index.php?page=shop.browse&root=$category_id&category_id=" .$db->f("category_child_id"));
        			$getPluginContent .= "\" >".$db->f("category_name");
        			$getPluginContent .= "</a>\n";
                    if($valtozo % $egyoszlop == 0) $getPluginContent .= '</li><li>';
        		}
                
                $getPluginContent.= '</li></ul>';
                $getPluginContent.= '</nav>'; 
                                
				// Output
				$plg_html = $getPluginContent;
		
				// Do the replace
				$row->text = preg_replace( "#{".$this->plg_tag."}".$tagcontent."{/".$this->plg_tag."}#s", $plg_html , $row->text );
			} // end foreach
		    
		} // end if
		
		// Append head includes, but not when we're outputing raw content in K2
	}
} // END PLUGIN Tbsgallery

?>